N =2^8;  % resolution image
N_R = 2^8;   %  Discretisation r (time)
N_theta = 2^8;   %  Discretisation theta (ammount of receptors)

% Initial condition object.
    Im = condition_initiale(N,4);
% Location of receptors. 0: for uniform, 1: for location on top, 2: location
% to the right hand side, 3: for 3 of 6 slices of pizza, 4: top+bottom,
    Theta = choix_theta(N_theta,2);
% Obtained measurements
    I_Radon = Radon_circular(Im,Theta,N_R);
%imagesc(I_Radon);
I =  iRadon_circular(I_Radon,N,Theta);

% Plotting
figure
subplot(1,2,1)
afficher_solution(Im,Theta);
title('Target function')
subplot(1,2,2)
imagesc(linspace(0,2,size(I_Radon,2)),Theta,I_Radon)
xlabel('s varible')
ylabel('\theta variable')
title('Measurements')
figure
subplot(1,2,1)
afficher_solution(I,Theta);
title('Obtained Reconstruction')
subplot(1,2,2)
ErrIm=afficher_solution(abs(I-Im),Theta);
err=sum(sum((I-Im).^2))/sum(sum(Im.^2));

title(['Relative error = ', num2str(err)])

